package com.jiuqi.mde;

import com.jiuqi.util.JqLib;

class OrderDimension extends MDEDimension
{
    public OrderDimension() {
        this.name = "顺序号";
        this.title = "顺序号";
        this.fieldName = "sys_order";
        this.order = OrderDimension.MAX_STR_DIM_VALUE;
        this.isString = false;
    }
    
    @Override
    public String getSQLFilter(final String tablePrefix, final Object dimValue) {
        return this.getSQLFilter(tablePrefix, dimValue, false);
    }
    
    @Override
    public String getSQLFilter(final String tablePrefix, final Object dimValue, final boolean isPrepared) {
        if (dimValue == null) {
            return "";
        }
        final StringBuffer filter = new StringBuffer(64);
        filter.append('(');
        if (tablePrefix != null) {
            filter.append(tablePrefix);
        }
        filter.append(this.fieldName);
        if (isPrepared) {
            filter.append("=?)");
        }
        else {
            filter.append("='");
            filter.append(JqLib.makeHexString((int)dimValue));
            filter.append("')");
        }
        return filter.toString();
    }
}
